Subject: Re: bug#8562: Emacs 23.1 and later don't work in windows 98

From: oslsachem <[email-masked]>
Date: Thu, 26 May 2011 03:50:24 +0200

> We are entering an area of Emacs where I don't know enough, so I hope
> Jason will chime in RSN...

Your efforts are much appreciated, really.

> Anyway.  Could you please step through x_default_font_parameter, and
> see which font it picks up here:
>
>  font = !NILP (font_param) ? font_param
>    : x_get_arg (dpyinfo, parms, Qfont, "font", "Font", RES_TYPE_STRING);
>
>  if (!STRINGP (font))
>    {
>      int i;
>      static char *names[]
>        = { "Courier New-10",
>            "-*-Courier-normal-r-*-*-13-*-*-*-c-*-iso8859-1",
>            "-*-Fixedsys-normal-r-*-*-12-*-*-*-c-*-iso8859-1",
>            "Fixedsys",
>            NULL };
>
>      for (i = 0; names[i]; i++)
>        {
>          font = font_open_by_name (f, names[i]);
>          if (! NILP (font))
>            break;
>        }
>      if (NILP (font))
>        error ("No suitable font was found");

http://www.speedyshare.com/files/28648980/EmacsGDBCourierNew.txt

> You
> need to start GDB from a directory where you have the .gdbinit file
> that comes with the source tarball (you will find it in the src/
> directory).

I always start GDB with 'gdb oo/i386/emacs' to be sure I am in the
right place, as suggested at
http://www.gnu.org/software/emacs/windows/Getting-Emacs.html#Getting-Emacs

> After you determine which font is being picked up in the above loop,
> please put a breakpoint in uniscribe_open and see if it and especially
> w32font_open_internal that it calls succeed to open the font

http://www.speedyshare.com/files/28648981/Emacs-23.3GDBuniscribe.txt

> Finally, if you start Emacs with "emacs -Q -xrm Emacs.fontBackend:gdi",
> does it also aborts in the same way, i.e. inside window_box_height?

http://www.speedyshare.com/files/28648982/Emacs-23.3GDBfontBackend.txt

Greetings,
                 Osl